from typing import Any

class ModelHooksMixin:
    def pre_init(self, *, is_new_object: bool, kwargs: dict[str, Any]) -> None: ...
    def post_init(self, *, is_new_object: bool, kwargs: dict[str, Any]) -> None: ...
    def pre_create(self) -> None: ...
    def post_create(self) -> None: ...
    def pre_update(self) -> None: ...
    def post_update(self) -> None: ...
    def pre_delete(self) -> None: ...
    def post_delete(self) -> None: ...
